Stream: t-compiler/wg-rls-2.0

Topic: ACHTUNG! Breaking change on VSCode extension!


std::Veetaha (Feb 09 2020 at 17:10, on Zulip):

I'd like to notify everyone who is building rust-analyzer from sources. Since downloading prebuilt binaries has landed into master branch your need to update you settings.json with

{
    "rust-analyzer.raLspServerPath": "ra_lsp_server"
}

Thank you for the attention!

Kevin DeLorey (Feb 09 2020 at 18:21, on Zulip):

Thanks for the heads up! I actually just ran into this and was wondering why the work I've been doing stopped working, this was it.

std::Veetaha (Feb 09 2020 at 18:23, on Zulip):

See the PR at https://github.com/rust-analyzer/rust-analyzer/pull/3071/files#diff-83b898006efcb044dce73a8a5cc94ed6

std::Veetaha (Feb 09 2020 at 19:32, on Zulip):

Also BREAKING CHANGE please ensure to have the minimum of nodejs.12 installed on your PC for VS Code extension. Previous requirement was nodejs.10

std::Veetaha (Feb 09 2020 at 19:33, on Zulip):

You can update via nvm

nvm install 12
nvm alias default node  # ensures that you use the latest installed nodejs version by default
Last update: Jun 07 2020 at 10:40UTC